CCLock (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.clearcase, class: CCLock

Package org.apache.tools.ant.taskdefs.optional.clearcase

# Class CCLock

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
org.apache.tools.ant.taskdefs.optional.clearcase.CCLock

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class CCLock
    extends ClearCase

Performs a ClearCase Lock command.

The following attributes are interpreted:

Task attributes
Attribute | Values | Required
--- | --- | ---
replace | Specifies replacing an existing lock | No
nusers | Specifies user(s) who can still modify the object/pname | No
obsolete | Specifies that the object/pname should be marked obsolete | No
comment | Specifies how to populate comments fields | No
pname | Specifies the pathname to be locked. | No
objselect | This variable is obsolete. Should use objsel instead. | No
objsel | Specifies the object(s) to be unlocked. | No
failonerr | Throw an exception if the command fails. Default is true | No

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `FLAG_COMMENT` | -comment flag -- method to use for commenting events
  `static java.lang.String` | `FLAG_NUSERS` | -nusers flag -- list of users to exclude from lock
  `static java.lang.String` | `FLAG_OBSOLETE` | -obsolete flag -- mark locked object as obsolete
  `static java.lang.String` | `FLAG_PNAME` | -pname flag -- pathname to lock
  `static java.lang.String` | `FLAG_REPLACE` | -replace flag -- replace existing lock on object(s)

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

  `COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_LSCO, COMMAND_MKATTR, COMMAND_MKBL, COMMAND_MKDIR, COMMAND_MKELEM, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CCLock()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `execute()` | Executes the task.
  `java.lang.String` | `getComment()` | Get comment method
  `java.lang.String` | `getNusers()` | Get nusers list
  `java.lang.String` | `getObjselect()` | Get list of objects to be locked
  `boolean` | `getObsolete()` | Get obsolete flag status
  `java.lang.String` | `getPname()` | Get the pathname to be locked
  `boolean` | `getReplace()` | Get replace flag status
  `void` | `setComment​(java.lang.String comment)` | Sets how comments should be written for the event record(s)
  `void` | `setNusers​(java.lang.String nusers)` | Sets the users who may continue to edit the object while it is locked.
  `void` | `setObjSel​(java.lang.String objsel)` | Sets the object(s) to be locked
  `void` | `setObjselect​(java.lang.String objselect)` | Sets the object(s) to be locked
  `void` | `setObsolete​(boolean obsolete)` | If true, mark object as obsolete.
  `void` | `setPname​(java.lang.String pname)` | Sets the pathname to be locked
  `void` | `setReplace​(boolean replace)` | If true, replace an existing lock.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

  `getClearToolCommand, getFailOnErr, getObjSelect, getViewPath, getViewPathBasename, run, runS, runS, setClearToolDir, setFailOnErr, setObjSelect, setViewPath`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FLAG_REPLACE

    public static final java.lang.String FLAG_REPLACE
    -replace flag -- replace existing lock on object(s)
    See Also:
      Constant Field Values

  - ### FLAG_NUSERS

    public static final java.lang.String FLAG_NUSERS
    -nusers flag -- list of users to exclude from lock
    See Also:
      Constant Field Values

  - ### FLAG_OBSOLETE

    public static final java.lang.String FLAG_OBSOLETE
    -obsolete flag -- mark locked object as obsolete
    See Also:
      Constant Field Values

  - ### FLAG_COMMENT

    public static final java.lang.String FLAG_COMMENT
    -comment flag -- method to use for commenting events
    See Also:
      Constant Field Values

  - ### FLAG_PNAME

    public static final java.lang.String FLAG_PNAME
    -pname flag -- pathname to lock
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### CCLock

    public CCLock()

- ## Method Details

  - ### execute

    public void execute() throws BuildException
    Executes the task.

    Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - if the command fails and failonerr is set to true

  - ### setReplace

    public void setReplace​(boolean replace)
    If true, replace an existing lock.
    Parameters:
      `replace` - the status to set the flag to

  - ### getReplace

    public boolean getReplace()
    Get replace flag status
    Returns:
      boolean containing status of replace flag

  - ### setObsolete

    public void setObsolete​(boolean obsolete)
    If true, mark object as obsolete.
    Parameters:
      `obsolete` - the status to set the flag to

  - ### getObsolete

    public boolean getObsolete()
    Get obsolete flag status
    Returns:
      boolean containing status of obsolete flag

  - ### setNusers

    public void setNusers​(java.lang.String nusers)
    Sets the users who may continue to edit the object while it is locked.
    Parameters:
      `nusers` - users excluded from lock

  - ### getNusers

    public java.lang.String getNusers()
    Get nusers list
    Returns:
      String containing the list of users excluded from lock

  - ### setComment

    public void setComment​(java.lang.String comment)
    Sets how comments should be written for the event record(s)
    Parameters:
      `comment` - comment method to use

  - ### getComment

    public java.lang.String getComment()
    Get comment method
    Returns:
      String containing the desired comment method

  - ### setPname

    public void setPname​(java.lang.String pname)
    Sets the pathname to be locked
    Parameters:
      `pname` - pathname to be locked

  - ### getPname

    public java.lang.String getPname()
    Get the pathname to be locked
    Returns:
      String containing the pathname to be locked

  - ### setObjSel

    public void setObjSel​(java.lang.String objsel)
    Sets the object(s) to be locked
    Parameters:
      `objsel` - objects to be locked
    Since:
      ant 1.6.1

  - ### setObjselect

    public void setObjselect​(java.lang.String objselect)
    Sets the object(s) to be locked
    Parameters:
      `objselect` - objects to be locked

  - ### getObjselect

    public java.lang.String getObjselect()
    Get list of objects to be locked
    Returns:
      String containing the objects to be locked